Bug 1281532 - Review Request: Pagila - Example database for PostgreSQL
Review Request: Pagila - Example database for PostgreSQL
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 11:50 EST by Pavel Kajaba
Modified: 2016-05-06 20:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
praiskup: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pavel Kajaba 2015-11-12 11:50:03 EST
Spec URL: https://pkajaba.fedorapeople.org/pagila.spec
SRPM URL: pkajaba.fedorapeople.org/pagila-0.10.1-1.fc23.src.rpm
Description: Example database for PostgreSQL repacked for fedora repos
Fedora Account System Username: pkajaba
Comment 1 Pavel Raiskup 2015-11-12 11:53:13 EST
$ fedora-review -b 1281532
INFO: Processing bugzilla bug: 1281532
INFO: Getting .spec and .srpm Urls from : 1281532
ERROR: 'Cannot find source rpm URL'
Comment 3 Pavel Raiskup 2015-11-12 12:54:29 EST
Thanks for working on this!

We plan to build 

- '%global pginstdir %{_libdir}/pgsql' -- this does not seem to be used

- Requires: postgresql-server(:MODULE_COMPAT_%{postgresql_major})
  This won't work unless you install postgresql-devel:
  $ rpm -qpR ./results/pagila-0.10.1-1.fc24.noarch.rpm
  postgresql-server(:MODULE_COMPAT_%{postgresql_major})
  But should be (only when really needed):
  $ rpm -qpR ./results/pagila-0.10.1-1.fc24.noarch.rpm
  postgresql-server(:MODULE_COMPAT_9.4)
  Please, remove.  We don't need postgresql-server to install this package,
  neither postgresql.

- general EPEL5 leftovers we do not need %buildroot/Buildroot usage (rm -rf)

- %defattr is not needed even on EPEL5, the %attr is also neither needed

- would it be possible to try the sql scripts in %check phase?  Start local
  postgresql server and load those into the new database?  (optional)

-------
I'll check '$ fedora-review -b 1281532 -m fedora-rawhide-x86_64 -d EPEL6'
and post the results once this is fixed.
Comment 5 Pavel Raiskup 2015-11-13 08:17:43 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pagila-0.10.1-1.fc24.noarch.rpm
          pagila-0.10.1-1.fc24.src.rpm
pagila.noarch: W: incoherent-version-in-changelog 0.10.1-2 ['0.10.1-1.fc24', '0.10.1-1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

praiskup: This has been fixed.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pagila.noarch: W: incoherent-version-in-changelog 0.10.1-2 ['0.10.1-1.fc24', '0.10.1-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


praiskup: This has been fixed.


Requires
--------
pagila (rpmlib, GLIBC filtered):



Provides
--------
pagila:
    pagila


Source checksums
----------------
http://pgfoundry.org/frs/download.php/1719/pagila-0.10.1.zip :
  CHECKSUM(SHA256) this package     : 5779c4c819609bffbfca363b69493ae83a80a38014663e867c42fa65870f1921
  CHECKSUM(SHA256) upstream package : 5779c4c819609bffbfca363b69493ae83a80a38014663e867c42fa65870f1921


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1281532 -m fedora-rawhide-x86_64 -D EPEL6
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH
Comment 6 Pavel Raiskup 2015-11-13 08:19:46 EST
Plese just fix the 'Release' tag and upload new src.rpm.
Comment 8 Pavel Raiskup 2015-11-13 09:22:34 EST
Thanks!
Comment 9 Gwyn Ciesla 2015-11-13 16:20:28 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/Pagila
Comment 10 Pavel Raiskup 2015-11-14 05:02:28 EST
Ouch, note that you have 'Pagila' name, the spec file is 'pagila.spec' and
name of srpm si 'pagila' too.  It's really painful to have first letter
capital in package name.

Could we fix this, Pavel?
Comment 11 Pavel Raiskup 2015-11-14 05:05:05 EST
Also note that we probably want EPEL-6 and EPEL-7 branches too.
Comment 12 Pavel Kajaba 2015-11-16 02:45:37 EST
I have submitted new request for package.
Comment 13 Gwyn Ciesla 2015-11-16 09:24:35 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pagila
Comment 14 Fedora Update System 2015-11-16 10:05:05 EST
pagila-0.10.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc9e521874
Comment 15 Fedora Update System 2015-11-16 10:11:03 EST
pagila-0.10.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-db5080529c
Comment 16 Fedora Update System 2015-11-16 10:12:17 EST
pagila-0.10.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1721a136c5
Comment 17 Fedora Update System 2015-11-16 10:13:12 EST
pagila-0.10.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-204b26af2b
Comment 18 Fedora Update System 2015-11-17 20:20:45 EST
pagila-0.10.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pagila'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-204b26af2b
Comment 19 Fedora Update System 2015-11-18 11:53:18 EST
pagila-0.10.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pagila'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc9e521874
Comment 20 Fedora Update System 2015-11-18 17:19:08 EST
pagila-0.10.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pagila'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1721a136c5
Comment 21 Fedora Update System 2015-11-18 19:22:58 EST
pagila-0.10.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pagila'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-db5080529c
Comment 22 Fedora Update System 2015-11-26 15:59:05 EST
pagila-0.10.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-11-26 22:56:11 EST
pagila-0.10.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Upstream Release Monitoring 2015-12-04 16:04:29 EST
praiskup's scratch build of example-0.0-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12057711
Comment 25 Upstream Release Monitoring 2015-12-04 17:31:51 EST
praiskup's scratch build of example-0.0-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12058344
Comment 26 Pavel Raiskup 2015-12-04 18:00:27 EST
Huh :), I'm just curious why scratch build of 'example.spec' resulted into
update of this bug.  Except for my nick I doubt those spec files have
anything in common.
Comment 27 Pierre-YvesChibon 2015-12-05 03:23:56 EST
Reported upstream (which is the right place): https://github.com/fedora-infra/the-new-hotness/issues/83
Comment 28 Fedora Update System 2016-05-06 19:35:12 EDT
pagila-0.10.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-05-06 20:04:29 EDT
pagila-0.10.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.